import { Route } from "@angular/router";
import { SigninComponent } from "./components/signin/signin.component";
import { SignupComponent } from "./components/signup/signup.component";
import { WelcomeComponent } from "./components/welcome/welcome.component";
import { AlreadyLoggedInGuard } from "./share/guards/already-logged-in.guard";
import { AuthGuard } from "./share/guards/auth.guard";

export const APP_ROUTING: Route[] = [
	{ path: 'welcome', canActivate: [AlreadyLoggedInGuard], component: WelcomeComponent },
	{ path: 'photos', canActivate: [AuthGuard], loadChildren: () => import('./photos/photos.module').then(m => m.PhotosModule) },
	{ path: 'profile', canActivate: [AuthGuard], loadChildren: () => import('./profile/profile.module').then(m => m.ProfileModule) },
	// { path: 'bars', canActivate: [AuthGuard], loadChildren: () => import('./bars/bars.module').then(m => m.BarsModule) },
	{ path: 'signup', canActivate: [AlreadyLoggedInGuard], component: SignupComponent },
	{ path: 'signin', canActivate: [AlreadyLoggedInGuard], component: SigninComponent },
	{ path: '', redirectTo: 'welcome', pathMatch: 'full' },
	{ path: '**', redirectTo: 'welcome', pathMatch: 'full' },
];